Bug 82825 - update www/clearsilver to compile on other than i386 + upgrade
Summary: update www/clearsilver to compile on other than i386 + upgrade
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-30 16:20 UTC by Vick Khera
Modified: 2005-07-31 13:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.08 KB, patch)
2005-06-30 16:20 UTC, Vick Khera
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vick Khera 2005-06-30 16:20:16 UTC
	

ports/www/clearsilver has a build error which tries to use static objects
to make a shared library.  the quick fix as described in 

http://groups.yahoo.com/group/ClearSilver/message/358

is to just add -FPIC to the CFLAGS.  This patch does this and the compile
works for amd64.  Also, this updates the library to the latest release which
came out last march.

Fix: i'm not sure how to make patch create a new directory.  this needs a "files"
directory to exist and will create the patch-rules.mk.in file in there.
Comment 1 Florent Thoumie freebsd_committer 2005-06-30 18:54:03 UTC
State Changed
From-To: open->feedback

Forward PR to maintainer.
Comment 2 Florent Thoumie freebsd_committer 2005-06-30 18:56:53 UTC
Le Jeudi 30 juin 2005 à 17:54 +0000, Florent Thoumie a écrit :
> Synopsis: update www/clearsilver to compile on other than i386 + upgrade
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: flz
> State-Changed-When: Thu Jun 30 17:54:03 GMT 2005
> State-Changed-Why: 
> Forward PR to maintainer.
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=82825
-- 
Florent Thoumie
flz@FreeBSD.org
Comment 3 Tobias Roth 2005-07-30 23:43:02 UTC
- beautify above patch a little bit. fixes build and updates to 0.9.14
- take maintainership as discussed on irc
- submitter and original maintainer have been notified

Generated with FreeBSD Port Tools 0.63
>How-To-Repeat:
>Fix:

--- clearsilver-0.9.14.patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/www/clearsilver/Makefile,v
retrieving revision 1.7
diff -u -u -r1.7 Makefile

--- Makefile    26 Mar 2005 21:37:52 -0000      1.7
+++ Makefile    30 Jul 2005 22:36:39 -0000
@@ -7,12 +7,12 @@
 #
 
 PORTNAME=      clearsilver
-PORTVERSION=   0.9.13
-PORTREVISION=  1
+PORTVERSION=   0.9.14
 CATEGORIES=    www
-MASTER_SITES=  http://www.clearsilver.net/downloads/
+MASTER_SITES=  http://www.clearsilver.net/downloads/ \
+               http://depot.fsck.ch/mirror/distfiles/
 
-MAINTAINER=    thinker@branda.to
+MAINTAINER=    ports@fsck.ch
 COMMENT=       A fast, powerful, and language-neutral template system
 
 GNU_CONFIGURE= yes
@@ -64,19 +64,13 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${ARCH} != "i386"
-BROKEN=                "Does not compile on !i386"
-.endif
-
-.if ${ARCH} == "amd64"
-BROKEN=                "Does not compile on amd64 (missing -fPIC from
shared li             braries)" -.endif
-
 post-patch:
        @# Remove CFLAGS when building the python module, pydistfile is
used @# and will do the right thing.
        @${REINPLACE_CMD} -E 's,(\$$\(PYTHON\)),CFLAGS="" \1,g'
${WRKSRC}/python             /Makefile
-       @# Avoid rebuiling man pages
+       @# insert -fPIC into CFLAGS to fix non-i386 builds
+       @${REINPLACE_CMD} -e 's|= @CFLAGS@|= @CFLAGS@ -fPIC|g'
${WRKSRC}/rules.m             k.in
+       @# Avoid rebuilding man pages
        @${REINPLACE_CMD} -e 's,all man,all,g' ${WRKSRC}/Makefile
        @${REINPLACE_CMD} -e 's|`$$python_bin -c "import site; print
site.sitedi             rs\[0\]"`|"${PYTHON_SITELIBDIR}"|'
${WRKSRC}/configure Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/www/clearsilver/distinfo,v
retrieving revision 1.2
diff -u -u -r1.2 distinfo
--- distinfo    28 Dec 2004 17:49:15 -0000      1.2
+++ distinfo    30 Jul 2005 22:36:39 -0000
@@ -1,2 +1,2 @@
-MD5 (clearsilver-0.9.13.tar.gz) = 6f4946d92eca41e17c9fc0373aee096a
-SIZE (clearsilver-0.9.13.tar.gz) = 365908
+MD5 (clearsilver-0.9.14.tar.gz) = 2161936b7828e8cbdc4f45812d15e3f6
+SIZE (clearsilver-0.9.14.tar.gz) = 366041
--- clearsilver-0.9.14.patch ends here ---
Comment 4 Sergey Matveychuk freebsd_committer 2005-07-31 13:30:25 UTC
State Changed
From-To: feedback->closed

Committed, thanks!